Hey Steve,

thanks for your proposal - I like it.

> > So I think we also should close the corresponding
> > bugs on bts, too. I don't want to piss of users and want to formulate a
> > nice response. What do you think about my proposal?
> 
> Just to be sure I'm answering the right question ... in other words: your
> proposal is to find all KDE Pim bugs that have been closed as "too old" by
> upstream, and close them in Debian BTS with a nice message.
> 
> I think that is sensible.

jepp that's exactly the reason.

> Below, I suggest a slightly differently worded message of the BTS email, for
> clarity.  In your scripting, can you extract the upstream bug URL? 

Yes this is possible and doable.

> That would make it easier for the user to just click on in their email 
client. Below, I use ${UPSTREAMURL} as a placeholder for it. Note that I'm a 
little unsure of the exact version cut-off for re-opening a bug so the text
> may need adjustment there.

The old versions, that got the autoclose have versionnumbers like 4.X built 
against Qt4. And with Qt5 based KDE Applications switched the version schema 
to YEAR.MONTHS.X and kdepim (qt5 based) got included into KDE Applications 
15.08.0. 

sandro

> ------------------ revised closure message ------------------------
> 
> Dear bug submitter,
> 
> Thank you for reporthing this issue.  The bug has been determined not to be
> Debian specific, and therefore was reported in the KDE bugtracker; see $
> {UPSTREAMURL}.
> 
> We are sorry it has not been resolved.  However, the version in which the
> issue was reported is now obsolete and the upstream bug tracker has closed 
the issue.  Thus we are also closing the issue in Debian bug tracker.
> 
> If you think the bug is still relevant to a KDE Pim version in Debian stable
> (aka Stretch) or newer -- i.e. part of KDE Applications 15.08.0 or newer --
> then please open a new bugreport upstream and add you new information in
> the upstream bugreport.
> 
> Again, thank you for reporting the issue. If there are any questions feel
> free to ask.
> 
> KDE upstream bug tracker closed their bug with following statement:
> 
> "This bug has only been reported for versions before 15.08.0, which have
> been unsupported for at least two years now. Can anyone tell if this bug
> still present?
> 
> If noone confirms this bug for a Framework-based version of kontact
> (version 5.0 or later, as part of KDE Applications 15.08 or later),
> it gets closed in about three months.
> 
> Just as announced in my last comment, I close this bug.
> If you encounter it again in a recent version (at least 5.0 aka 15.08),
> please open a new one unless it already exists. Thank you for all your
> input. "
> 
> ----------------------------------------------------------------------------
> ---

Attachment: signature.asc
Description: This is a digitally signed message part.

-- 
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-talk

Reply via email to